Package org.apache.lucene.analysis.miscellaneous

# Enum Class ScandinavianNormalizer.Foldings

java.lang.Object
java.lang.Enum<ScandinavianNormalizer.Foldings>
org.apache.lucene.analysis.miscellaneous.ScandinavianNormalizer.Foldings

All Implemented Interfaces:
  `Serializable`, `Comparable<ScandinavianNormalizer.Foldings>`, `Constable`

Enclosing class:
  `ScandinavianNormalizer`

public static enum ScandinavianNormalizer.Foldings extends Enum<ScandinavianNormalizer.Foldings>
List of possible foldings that can be used when configuring the filter

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AA`
`AE`
`AO`
`OE`
`OO`

## Method Summary

Modifier and Type
Method
Description
`static ScandinavianNormalizer.Foldings`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ScandinavianNormalizer.Foldings[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AA

public static final ScandinavianNormalizer.Foldings AA

### AO

public static final ScandinavianNormalizer.Foldings AO

### AE

public static final ScandinavianNormalizer.Foldings AE

### OE

public static final ScandinavianNormalizer.Foldings OE

### OO

public static final ScandinavianNormalizer.Foldings OO

## Method Details

### values

public static ScandinavianNormalizer.Foldings[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ScandinavianNormalizer.Foldings valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null